mkpasswd.c documentation

This is documentation for the updated mkpasswd.c included with a number
of ircd, irc services, and non-IRC related programs

This version of mkpasswd can create Blowfish, MD5, SHA256, and SHA512 crypted
passwords, with either randomly generated or user provided salts.  

Options:
-x Generate a SHA256 password
-y Generate a SHA512 password
-m Generate an MD5 password
-b Generate a Blowfish password
-l Specify a length for a random MD5 or Blowfish salt
-r Specify a number of rounds for a Blowfish password
   Default 4, no more than 6 recommended
-s Specify a salt, up to 16 for MD5, SHA256, and SHA512
   up to 22 for Blowfish
-p Specify a plaintext password to use
-? Get brief help
-h Get extended help

Without the presence of any parameters, it'll generate a SHA512 hash with a
randomly generated salt and prompting for the password (without echo).

An MD5, SHA256, and SHA512 salt consists of up to 16 alphanumeric characters
(plus '.' and '/'), such as 'tGd' or 'J6d4dfG'.

A Blowfish salt consists of up to 22 alphanumeric characters (plus '.' and
'/').  Blowfish also specifies a number of rounds*, by default 4.

Blowfish may not always be available, but MD5, SHA256, and SHA512 are
guaranteed to be.

This program should work anywhere Solanum does; if you find otherwise, file
a bug.

 * Blowfish's rounds parameter is a logarithm, not an integer value
